Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.visit
Class JifTranslator

    java.lang.Object
      polyglot.visit.PrettyPrinter
          polyglot.visit.Translator
              polyglot.visit.TypedTranslator
                  jif.visit.JifTranslator

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.util.Copy

    public class JifTranslator

extends polyglot.visit.TypedTranslator

The Jif translator is used to generate Java files from the current ASTs.

Field Summary

Fields inherited from class polyglot.visit.Translator
`context, job, nf, tf, ts`

Fields inherited from class polyglot.visit.PrettyPrinter
`appendSemicolon, printType`

Constructor Summary
`JifTranslator(polyglot.frontend.Job job, polyglot.types.TypeSystem ts, polyglot.ast.NodeFactory nf, polyglot.frontend.TargetFactory tf)`

Method Summary
`protected boolean` | `translateSource(polyglot.ast.SourceFile sfn)`

Methods inherited from class polyglot.visit.TypedTranslator
`print`

Methods inherited from class polyglot.visit.Translator
`context, context, copy, exports, job, nodeFactory, toString, translate, translateTopLevelDecl, typeSystem, writeHeader`

Methods inherited from class polyglot.visit.PrettyPrinter
`appendSemicolon, appendSemicolon, printAst, printType, printType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JifTranslator

    public JifTranslator(polyglot.frontend.Job job,
                         polyglot.types.TypeSystem ts,
                         polyglot.ast.NodeFactory nf,
                         polyglot.frontend.TargetFactory tf)

Method Detail

### translateSource

    protected boolean translateSource(polyglot.ast.SourceFile sfn)

  Overrides:
    `translateSource` in class `polyglot.visit.Translator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD